{% load bootstrap4 %}
{% load static %}
{% load i18n %}
{% load seawatch_registration_tags %}


{% with url_name=request.resolver_match.url_name %}
<nav class="navbar navbar-dark navbar-expand-lg">
    <div class="container">
        <a class="navbar-brand" href="{% url 'index' %}">
            <img src="{% static 'seawatch_registration/images/logo.png' %}" width="75" height="75"
                 class="d-inline-block align-top mr-2" alt="">
            <!--Sea Watch-->
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="nav navbar-nav ml-auto">
                {% if request.user.is_authenticated %}
                    {% if perms.applications.view_application %}
                        <li class="nav-item">
                            <a class="nav-link {% if url_name == 'application_list' %}active{% endif %}"
                               href="{% url 'application_list' %}">{% trans "Applications" %}</a>
                        </li>
                    {% endif %}
                    {% if perms.volunteers.view_volunteer %}
                        <li class="nav-item">
                            <a class="nav-link {% if url_name == 'volunteer_list' %}active{% endif %}"
                               href="{% url 'volunteer_list' %}">{% trans "Volunteers" %}</a>
                        </li>
                    {% endif %}
                {% endif %}
                {% if request.user.is_authenticated %}
                    {% feedback_url as feedback_url %}
                    {% if feedback_url %}
                        <li class="nav-item">
                            <a class="nav-link btn btn-primary" target="_blank" rel="noopener noreferrer" href="{{ feedback_url }}">
                                <i class="fa fa-comments"></i> Feedback
                            </a>
                        </li>
                    {% endif %}
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            {{ request.user.first_name }} {{ request.user.last_name }}
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                            {% if request.user.profile %}
                                <a class="dropdown-item" href="{% url 'profile_detail' %}">{% trans "Show profile" %}</a>
                                <a class="dropdown-item" href="{% url 'registration_process' %}">{% trans "Registration Status" %}</a>
                                <div class="dropdown-divider"></div>
                            {% endif %}
                            <a class="dropdown-item" href="{% url 'logout' %}">{% trans 'Logout' %}</a>
                        </div>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link
                                {% url 'login' as login_url %}{% if request.get_full_path == login_url %}active{% endif %}"
                           href="{% url 'login' %}">{% trans "Login" %}</a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>
{% endwith %}
